
Figure - Bug #113047
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111050 (New): AF-V2.0-Launcher/SystemUI-桌面管理

【AF】【EVT】【桌面管理】向dock栏里面添加1*1的快捷方式，会出现覆盖原有应用或者无法添加的现象
2022-10-26 17:52 - CD TEST-方永红

Status: CLOSED Start date: 2022-10-26

Priority: Normal Due date: 2022-11-04

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_update_20221115

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20221026.alpha

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202210280435

Reproducibility: Every time Fixed Version: 2022-10-28

Test Type: IT Root cause: 编码问题

Description

【前提条件】

1、设备已开机

【测试步骤】

1、将dock栏里面的应用移除一个（dock栏里目前有三个应用）

2、长按桌面空白处进入微件添加模式

3、向dock栏里面添加1*1的快捷方式

4、将dock栏里面的应用移除一两个（dock栏里目前有两个应用）

5、长按桌面空白处进入微件添加模式

6、向dock栏里面添加1*1的快捷方式

【预期结果】

3、成功添加选择的快捷方式

6、成功添加选择的快捷方式

【实际结果】

3、添加的快捷方式覆盖了最近的应用图标

（后续动作：

在dock栏里面拖动一下会解除覆盖，快捷方式消失

or直接将其拖到桌面上，被覆盖的应用没有办法恢复）

6：快捷方式无法被添加

History

#1 - 2022-10-27 10:57 - CD APP-王营

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-李德盛

#2 - 2022-10-27 15:13 - CDTS-TEST 周婷

- Due date set to 2022-11-04

- Target version changed from VX1_MCE_FSE_V3.0_20221030 to VX1_MCE_FSE_V3.0_update_20221115

#3 - 2022-10-27 16:46 - CD APP-李德盛

- % Done changed from 0 to 100
- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2022-10-28

- Root cause set to 编码问题

■ Current conclusion

图标位置计算错误

■ My analysis

需要对dock进行重排序，预留新图标位置

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/158435

#4 - 2022-10-27 17:20 - CD APP-李德盛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-李德盛 to CD TEST-方永红

#5 - 2022-10-28 11:07 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202210280435

10.28 验证关闭

#6 - 2022-10-28 11:07 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#7 - 2022-12-22 20:47 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

158435 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

jiao.li_a@thundersoft.com

FW:Launcher: Fix fail to add shortcut to hotseat1. Fix fail to add shortcut to hotseat.TC-RID: 1201-0205303IssueID: TS-R-BUG-113047Change-Id:

Idd3741a6967fba300aedfe9a03680ba37f1f8226

Files

1747.txt 879 KB 2022-10-26 CD TEST-方永红

Phone-STS40X190122 2022-10-26 17-50-03.zip 27.1 MB 2022-10-26 CD TEST-方永红
